For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Approval Requests

GET https://api.sfox.com/v1/approvals

Retrieve a list of approval requests.

Query Parameters

Parameter
Type
Description

pending

boolean

When set to true will only return pending approvals, otherwise all approvals both completed and pending will be returned.

Responses

200
{
    "data": [
      {
        "approval_id": 1,
        "requested_by_username": "example@email.com",
        "requested_by_uaid": "6ea3fb9e-7797-11eb-aa51-0242ac120002",
        "date_added": "2021-03-03T20:28:41.000Z",
        "status": "Pending",
        "approval_type": "WITHDRAW",
        "required_approvals": 2,
        "received_approvals": 0,
        "action_details": {
          "atx_currency_code": "btc",
          "atx_amount": 5,
          "atx_dest_address": "0x1232131223",
          "threshold": 1
        },
        "approval_responses": {
          "ua_display_id": "3fb9e6ea-7797-11eb-aa51-200020242ac1",
          "username": "collaborator@email.com",
          "approved": true
        }
    ]
}

Example Requests

curl -H 'Authorization: Bearer <API_TOKEN>' \
 'https://api.sfox.com/v1/approvals'
import requests

data = requests.get(
  "https://api.sfox.com/v1/approvals",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)
import requests

data = requests.get(
  "https://api.sfox.com/v1/approval-rules",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)

Last updated